Bug 123943 - up2date should use sources.d for apt/yum/dir repo configuration
Summary: up2date should use sources.d for apt/yum/dir repo configuration
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i686 Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Pradeep Kilambi
QA Contact: Ken Reilly
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-21 21:30 UTC by Michael J. Carter
Modified: 2013-02-27 00:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 16:19:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael J. Carter 2004-05-21 21:30:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
Instead of using a single file (/etc/sysconfig/rhn/sources) to define
the location of all apt/yum/dir repositories, individual config files
for each repository should be in the directory
/etc/sysconfig/rhn/sources.d.

This would make it much easier to build up a 'set' of required repos
for a given machine by having an external tool (say cfengine) add or
delete the appropriate repository configuration file instead of having
to edit one configuration file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. See description.
2.
3.
    

Additional info:

Comment 1 Suzanne Hillman 2004-05-24 17:40:23 UTC
Internal RFE bug #124205 entered; will be considered for future releases.

Comment 2 Todd Warner 2004-08-26 23:53:07 UTC
Bug in MODIFIED state which means it is fixed.
Changing to FAILS_QA cuz there is not test plan.

Comment 3 Adrian Likins 2004-08-31 22:31:41 UTC
this is an rfe now in featurezilla, so no need for fails_qa

Comment 5 Jiri Pallich 2012-06-20 16:19:18 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.